org.apache.lucene.document

## Class FloatPointMultiRangeBuilder

- java.lang.Object
- - org.apache.lucene.search.MultiRangeQuery.Builder
  - - org.apache.lucene.document.FloatPointMultiRangeBuilder

    public class FloatPointMultiRangeBuilder
    extends MultiRangeQuery.Builder

Builder for multi range queries for FloatPoints

### Field Summary

### Fields inherited from class org.apache.lucene.search.MultiRangeQuery.Builder

`bytesPerDim, clauses, field, numDims`

### Constructor Summary

Constructors
Constructor and Description
`FloatPointMultiRangeBuilder(String field, int numDims)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(float[] lowerValue, float[] upperValue)`
`MultiRangeQuery` `build()` Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.

### Methods inherited from class org.apache.lucene.search.MultiRangeQuery.Builder

`add, add`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FloatPointMultiRangeBuilder

    public FloatPointMultiRangeBuilder(String field,
                                       int numDims)

### Method Detail

#### build

    public MultiRangeQuery build()

Description copied from class: `MultiRangeQuery.Builder`
Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.

Specified by:
  `build` in class `MultiRangeQuery.Builder`

#### add

    public void add(float[] lowerValue,
                    float[] upperValue)